classification
Title: Update valgrind suppressions
Type: enhancement Stage: resolved
Components: Demos and Tools Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Paul Price, benjamin.peterson, miss-islington
Priority: normal Keywords: patch

Created on 2018-08-10 18:54 by Paul Price, last changed 2018-08-11 21:07 by benjamin.peterson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8729 merged Paul Price, 2018-08-10 19:03
PR 8733 merged miss-islington, 2018-08-11 06:41
PR 8734 merged miss-islington, 2018-08-11 06:42
Messages (4)
msg323385 - (view) Author: Paul Price (Paul Price) * Date: 2018-08-10 18:54
I've found that the valgrind suppressions don't work for me with cpython 3.6.2. Renaming PyObject_Free/PyObject_Realloc to _PyObject_Free/_PyObject_Realloc in the suppressions file works.

I've got a patch that I'll put in via a GitHub PR.
msg323405 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-08-11 06:41
New changeset db6075ab3aa44f69c13c4a169806d08596d25003 by Benjamin Peterson (Paul Price) in branch 'master':
closes bpo-34377: Update Valgrind suppressions. (GH-8729)
https://github.com/python/cpython/commit/db6075ab3aa44f69c13c4a169806d08596d25003
msg323406 - (view) Author: miss-islington (miss-islington) Date: 2018-08-11 07:29
New changeset 39c1253bd12d253d8d6d009a1ee1c3729c5ebde4 by Miss Islington (bot) in branch '3.7':
closes bpo-34377: Update Valgrind suppressions. (GH-8729)
https://github.com/python/cpython/commit/39c1253bd12d253d8d6d009a1ee1c3729c5ebde4
msg323422 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-08-11 21:07
New changeset fe62d3664431dcd01a4421256ff700f0daab4e3c by Benjamin Peterson (Miss Islington (bot)) in branch '3.6':
closes bpo-34377: Update Valgrind suppressions. (GH-8734)
https://github.com/python/cpython/commit/fe62d3664431dcd01a4421256ff700f0daab4e3c
History
Date User Action Args
2018-08-12 20:33:06benjamin.petersonlinkissue24111 superseder
2018-08-11 21:07:54benjamin.petersonsetmessages: + msg323422
2018-08-11 07:29:35miss-islingtonsetnosy: + miss-islington
messages: + msg323406
2018-08-11 06:42:04miss-islingtonsetpull_requests: + pull_request8221
2018-08-11 06:41:56miss-islingtonsetpull_requests: + pull_request8220
2018-08-11 06:41:38benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg323405

resolution: fixed
stage: patch review -> resolved
2018-08-10 19:03:08Paul Pricesetkeywords: + patch
stage: patch review
pull_requests: + pull_request8213
2018-08-10 18:54:25Paul Pricecreate